Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.cib
Interface CIBManagedObjectMBean

All Superinterfaces:
  CIBObjectMBean

All Known Subinterfaces:
  CIBApplicationMBean, CIBExternalResourceMBean, CIBMonitoredObjectMBean, CIBResourceMBean, CIBServiceMBean

All Known Implementing Classes:
  CIBApplication, CIBExternalResource, CIBManagedObject, CIBMonitoredObject, CIBResource, CIBService

public interface CIBManagedObjectMBean
extends CIBObjectMBean

Provides methods that should be implemented by each managed object The CIBManagedObject is the base object model to support the dynamic logging management functions. When the current specification is enhanced to address more common management capabilities the CIBManagedObject model should be extended accordingly.

Field Summary

Fields inherited from interface com.sun.mfwk.cib.CIBObjectMBean
`ModelVersion`

Method Summary
`java.lang.String` | `getDescription()` Returns a description for the Managed object
`boolean` | `isEventProvider()` Returns true if the managed object is an Event Provider else returns false
`void` | `setEventProvider(boolean isEventProvider)` Allows to switch On/Off the JMX event notifications from the managed object

Methods inherited from interface com.sun.mfwk.cib.CIBObjectMBean
`getModelVersion, getName, getType`

Method Detail

### getDescription

    public java.lang.String getDescription()

  Returns a description for the Managed object

### isEventProvider

    public boolean isEventProvider()

  Returns true if the managed object is an Event Provider else returns false

### setEventProvider

    public void setEventProvider(boolean isEventProvider)

  Allows to switch On/Off the JMX event notifications from the managed object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD